
Summary:	Kernel driver blacklist for Broadcom wireless adapters
Name:		broadcom-wl-blacklist
Version:	1.0
Release:	%mkrel 1
Source0:	http://www.broadcom.com/docs/linux_sta/%name-%version.tar.xz
License:	Freeware and GPLv2 with exception
Group:		System/Kernel and hardware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
BuildArch: noarch

%description
This package will blacklist the following drivers to allow the
Broadcom WL driver to work with recent kernels.
b43
b43legacy
bcma
brcmfmac
ssb

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

install -m755 -d %{buildroot}%{_sysconfdir}/modprobe.d/
install -m644 broadcom-wl-alias.conf %{buildroot}%{_sysconfdir}/modprobe.d
install -m644 broadcom-wl-blacklist.conf %{buildroot}%{_sysconfdir}/modprobe.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config %{_sysconfdir}/modprobe.d/broadcom-wl-alias.conf
%config %{_sysconfdir}/modprobe.d/broadcom-wl-blacklist.conf

%posttrans
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/modprobe wl >/dev/null 2>&1 ||:
fi



%changelog
* Mon May 26 2014 bb <bb> 1.0-1pclos2014
- create package
